PlacementType (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.service.api.records, enum: PlacementType

Package org.apache.hadoop.yarn.service.api.records

# Enum Class PlacementType

java.lang.Object
java.lang.Enum<PlacementType>
org.apache.hadoop.yarn.service.api.records.PlacementType

All Implemented Interfaces:
  `Serializable`, `Comparable<PlacementType>`, `Constable`

@Public @Unstable public enum PlacementType extends Enum<PlacementType>
The type of placement - affinity/anti-affinity/affinity-with-cardinality with containers of another component or containers of the same component (self).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AFFINITY`
  `AFFINITY_WITH_CARDINALITY`
  `ANTI_AFFINITY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PlacementType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PlacementType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AFFINITY

    public static final PlacementType AFFINITY

  - ### ANTI_AFFINITY

    public static final PlacementType ANTI_AFFINITY

  - ### AFFINITY_WITH_CARDINALITY

    public static final PlacementType AFFINITY_WITH_CARDINALITY

- ## Method Details

  - ### values

    public static PlacementType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PlacementType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null